ISPManager 5 - как обновить phpPgAdmin до 5.6


Материал из Wiki - Iphoster - the best ever hosting and support. 2005 - 2020

Перейти к: навигация, поиск

Доступная цена

ISPManager 5 - как обновить phpPgAdmin до 5.6

Если возникает ошибка после обновления версии postgreSQL:

Version of PostgreSQL not supported. Please upgrade to version or later.

то необходимо обновить веб-интерфейс phpPgAdmin для postgreSQL до последней версии.

Алгоритм обновления веб-интерфейса phpPgAdmin для postgreSQL до версии 5.6 в ISPmanager:

# cd /usr/share/
# mv phpPgAdmin phpPgAdmin_old
# wget https://github.com/phppgadmin/phppgadmin/archive/REL_5-6-0.tar.gz
# tar -zxvf REL_5-6-0.tar.gz
# mv phppgadmin-REL_5-6-0 phpPgAdmin
# mv phpPgAdmin/conf/config.inc.php-dist phpPgAdmin/conf/config.inc.php
# vi phpPgAdmin/conf/config.inc.php
      $conf['servers'][0]['desc'] = 'PostgreSQL 10';
      $conf['servers'][0]['host'] = 'localhost';
      $conf['servers'][0]['port'] = 5432;
      $conf['servers'][0]['pg_dump_path'] = '/usr/pgsql-10/bin/pg_dump';
      $conf['servers'][0]['pg_dumpall_path'] = '/usr/pgsql-10/bin/pg_dumpall';
       $conf['extra_login_security'] = false;


и перезагружаем postgresql (10 версия)

# systemctl restart postgresql-10


Скриншот phpPgAdmin
Postgresql-phpPgAdmin-update-1.png

Индекс цитирования